MouseWrtParserInternal::Paragraph Struct Reference

Internal: class to store paragraph information of a MouseWrtParser. More...

## Public Member Functions

| Paragraph (int id=0)
| constructor

## Public Attributes

int | m_id
| the paragraph id
MWAWParagraph | m_paragraph
| the paragraph
bool | m_picture
| flag to know if this is a picture

## Detailed Description

Internal: class to store paragraph information of a MouseWrtParser.

## Constructor & Destructor Documentation

## Paragraph()

MouseWrtParserInternal::Paragraph::Paragraph | ( | int | id = 0 | ) |

inline explicit

constructor

## Member Data Documentation

## m_id

int MouseWrtParserInternal::Paragraph::m_id

the paragraph id

Referenced by Paragraph().

## m_paragraph

MWAWParagraph MouseWrtParserInternal::Paragraph::m_paragraph

the paragraph

Referenced by Paragraph(), and MouseWrtParser::readParagraphPLCs().

## m_picture

bool MouseWrtParserInternal::Paragraph::m_picture

flag to know if this is a picture

Referenced by Paragraph(), and MouseWrtParser::readParagraphPLCs().

The documentation for this struct was generated from the following file:

- MouseWrtParser.cxx